Forums

Help › Forums

Attention Amazon Users

rated by 0 users
Wed, Sep 27 2023 3:07 PM (0 replies)
  • WGTNico
    618 Posts
    Wed, Sep 27 2023 3:07 PM
    To continue bringing you the best game possible, we have updated the technology that powers WGT Golf. With the rollout of the latest update to users on Amazon devices, our minimum requirements have changed from Android 4.4 to Android 5 (Lollipop), which means some older Amazon devices will no longer be supported.
    These Amazon devices will no longer be supported:
    • Amazon Kindle Fire HDX WAN (2013)
    • Amazon Kindle Fire HDX 8.9 WAN (2013)
    • Amazon Kindle Fire HD (2013)
    • Amazon Kindle Fire HDX (2013)
    • Amazon Fire Phone
    • Amazon Kindle Fire HDX 8.9 (2013)
    How to find your Amazon device/version:
    1. Open the Settings menu.
    2. Select Device Options.
    3. Find your device model under Device Model or About Fire Tablet.

    We appreciate your understanding.

RSS